## bioperl 1.7.1

=== debian/changelog ===
bioperl (1.7.1-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Add debian/tests/pkg-perl/use-name to fix an autopkgtest failure
  * Add t/Perl.t and t/Species.t to debian/tests/pkg-perl/smoke-skip

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jan 2017 08:50:21 +0100

bioperl (1.7.1-1) unstable; urgency=medium

  [ Charles Plessy ]
  * New upstream release.
    Closes: #846579
  * debian/patches deleted (applied upstream).
  * debian/docs: correct name of README file.
  * debian/control: Use secure VCS browser URL.

  [ Andreas Tille ]
  * d/watch: uversionmangle to get proper version number
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Mon, 05 Dec 2016 22:05:08 +0100

bioperl (1.6.924-5) unstable; urgency=medium

  * Testsuite: autopkgtest-pkg-perl
  * Move packaging from SVN to Git

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2016 09:20:14 +0200

bioperl (1.6.924-4) unstable; urgency=medium

  * cme fix dpkg-control (Needed several manual postprocessing since cme
    has the habit to move comments to the end of a section)
  * Fix FTBFS with Perl 5.24 by applying upstream patch
    Closes: #825429
  * Remove unused paragraph in d/copyright

 -- Andreas Tille <tille@debian.org>  Sun, 05 Jun 2016 08:50:03 +0200

=== debian/control ===
Source: bioperl
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>
Section: science
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 10)
Build-Depends-Indep: perl,
# Unnecessary according to lintian, but building with sbuild shows the contrary.
                     libmodule-build-perl (>= 0.420000),
                     libio-string-perl,
                     libdata-stag-perl,
                     libtest-most-perl,
# Recommended in Build.PL (we want them to run the tests)
                     libace-perl,
                     libalgorithm-munkres-perl,
                     libarray-compare-perl,
                     libbio-asn1-entrezgene-perl,
                     libbio-samtools-perl,
                     libcgi-pm-perl | perl (<< 5.19),
                     libclone-perl,
                     libconvert-binary-c-perl,
                     libdbd-sqlite3-perl,
                     libdbd-mysql-perl,
                     libdbd-pg-perl,
                     libgd-perl,
                     libgraph-perl,
                     libgraphviz-perl,
                     libhtml-parser-perl,
                     libhtml-tableextract-perl,
                     liblist-moreutils-perl,
                     libpostscript-perl,
                     libset-scalar-perl,
                     libsoap-lite-perl,
                     libsort-naturally-perl,
                     libspreadsheet-parseexcel-perl,
                     libspreadsheet-writeexcel-perl,
                     libstorable-perl,
                     libsvg-perl,
                     libsvg-graph-perl,
                     libtest-pod-perl,
                     liburi-perl,
                     libxml-dom-xpath-perl,
                     libxml-parser-perl,
                     libxml-sax-perl,
                     libxml-sax-writer-perl,
                     libxml-twig-perl,
                     libxml-simple-perl,
                     libxml-writer-perl,
                     libxml-libxml-perl,
                     libwww-perl,
# Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
                     libxml-sax-expatxs-perl
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/debian-med/bioperl.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/bioperl.git
Homepage: http://www.bioperl.org/

Package: bioperl
Architecture: all
Depends: libbio-perl-perl (= ${source:Version}),
         ${misc:Depends},
         ${perl:Depends}
Recommends: bioperl-run,
# for the following see #650412
# most of `binary -help` outputs
            perl-doc,
# some libraries already in libbio-perl-perl's Recommends:
#             bp_biofetch_genbank_proxy
            libhttp-message-perl,
            libwww-perl,
            libcache-cache-perl,
#             bp_blast2tree
            libbio-perl-run-perl,
#             bp_bulk_load_gff
            libdbi-perl,
#             bp_chaos_plot
            libgd-gd2-perl,
#             bp_das_server
            libapache-dbi-perl,
#             bp_download_query_genbank
            liburi-perl,
#             bp_einfo
#                liburi-perl
#                libhttp-message-perl
            libxml-simple-perl,
#             bp_fast_load_gff
#                libdbi-perl
#             bp_fetch [not for local indexing]
#             bp_flanks
#                libhttp-message-perl
#             bp_genbank2gff
#                libhttp-message-perl
#                libdbi-perl
#             bp_genbank2gff3
            libyaml-perl,
#             bp_hivq
#                libhttp-message-perl
#                libxml-simple-perl
#             bp_meta_gff
#                libdbi-perl
#             bp_netinstall
#             bp_pairwise_kaks
#                libbio-perl-run-perl
#             bp_process_wormbase
            libace-perl,
#             bp_query_entrez_taxa
#             bp_remote_blast
#             bp_revtrans-motif
            liblist-moreutils-perl,
#             bp_taxid4species
            libxml-twig-perl,
#             bp_taxonomy2tree
            libset-scalar-perl
Suggests: groff-base
Description: Perl tools for computational molecular biology
 The Bioperl project is a coordinated effort to collect computational methods
 routinely used in bioinformatics into a set of standard CPAN-style,
 well-documented, and freely available Perl modules. It is well-accepted
 throughout the community and used in many high-profile projects, e.g.,
 Ensembl.
 .
 The recommended packages are needed to run some of the included
 binaries, for a detailed explanation including the specific Perl
 modules please see README.Debian.
 .
 The suggested package enhances the manual pages.

Package: libbio-perl-perl
Architecture: all
Section: perl
Depends: libio-string-perl,
         libdata-stag-perl,
         ${misc:Depends},
         ${perl:Depends}
# Temporary workaround as bioperl-run has not been split
Recommends: bioperl-run | libbio-perl-run-perl,
# Recommended in Build.PL
            libace-perl,
            libalgorithm-munkres-perl,
            libarray-compare-perl,
            libbio-asn1-entrezgene-perl,
            libclone-perl,
            libconvert-binary-c-perl,
            libdbd-sqlite3-perl,
            libdbd-mysql-perl,
            libdbd-pg-perl,
            libgd-perl,
            libgraph-perl,
            libgraphviz-perl,
            libhtml-parser-perl,
            libhtml-tableextract-perl,
            liblist-moreutils-perl,
            libpostscript-perl,
            libset-scalar-perl,
            libsoap-lite-perl,
            libsort-naturally-perl,
            libspreadsheet-parseexcel-perl,
            libspreadsheet-writeexcel-perl,
            libstorable-perl,
            libsvg-perl,
            libsvg-graph-perl,
            liburi-perl,
            libxml-dom-xpath-perl,
            libxml-parser-perl,
            libxml-sax-perl,
            libxml-sax-writer-perl,
            libxml-simple-perl,
            libxml-twig-perl,
            libxml-writer-perl,
            libxml-libxml-perl,
            libwww-perl
Suggests: bioperl,
          libxml-sax-expatxs-perl
# Needed to avoid downloading DTDs.
Breaks: grinder (<< 0.5.3-3~)
Replaces: grinder (<< 0.5.3-3~)
Description: BioPerl core perl modules
 BioPerl is a toolkit of perl modules useful in building bioinformatics
 solutions in Perl. It is built in an object-oriented manner so that many
 modules depend on each other to achieve a task. The collection of modules in
 libbio-perl-perl consist of the core of the functionality of bioperl.

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)\.0*([1-9]+)0*([1-9]*)/$1.$2.$3/" \
http://search.cpan.org/dist/BioPerl/   .*/BioPerl-v?(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## bioperl 1.7.2

=== debian/changelog ===
bioperl (1.7.2-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/copyright
  * Remove trailing whitespace in debian/rules
  * Fix Perl interpreter path
  * Fix URL for source download

 -- Andreas Tille <tille@debian.org>  Sun, 28 Oct 2018 00:46:56 +0200

bioperl (1.7.2-2) unstable; urgency=medium

  * Team upload

  [ gregor herrmann ]
  * Fix autopkgtests. The smoke tests need a `perl Build.PL' beforehand.
    And we need some additional files for some tests. (Closes: #871727)
  * debian/control: move libmodule-build-perl to Build-Depends from Build-
    Depends-Indep. It is needed during clean.

  [ Andreas Tille ]
  * Standards-Version: 4.1.2
  * Secure URI in watch file

 -- gregor herrmann <gregoa@debian.org>  Wed, 13 Dec 2017 21:59:15 +0100

bioperl (1.7.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Sun, 03 Dec 2017 18:55:57 +0100

bioperl (1.7.1-3) unstable; urgency=medium

  * Team upload

  [ Carnë Draug ]
  * Declare missing dependency on libtest-most-perl used by
    Bio::Root::Test

  [ Andreas Tille ]
  * Build-Depends: rename
    Closes: #873745
  * Standards-Version: 4.1.0 (no changes needed)

 -- Carnë Draug <carandraug+dev@gmail.com>  Wed, 30 Aug 2017 14:56:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,11 @@
 Section: science
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11~),
+# Unnecessary according to lintian, but building with sbuild shows the contrary.
+               libmodule-build-perl (>= 0.420000) | perl (<< 5.19.0)
 Build-Depends-Indep: perl,
-# Unnecessary according to lintian, but building with sbuild shows the contrary.
-                     libmodule-build-perl (>= 0.420000),
+                     rename,
                      libio-string-perl,
                      libdata-stag-perl,
                      libtest-most-perl,
@@ -54,16 +55,17 @@
                      libwww-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
                      libxml-sax-expatxs-perl
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/debian-med/bioperl.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/bioperl.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/bioperl
+Vcs-Git: https://salsa.debian.org/med-team/bioperl.git
 Homepage: http://www.bioperl.org/
 
 Package: bioperl
 Architecture: all
 Depends: libbio-perl-perl (= ${source:Version}),
          ${misc:Depends},
-         ${perl:Depends}
+         ${perl:Depends},
+         libtest-most-perl
 Recommends: bioperl-run,
 # for the following see #650412
 # most of `binary -help` outputs

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(DEB_MAINTAINER_MODE))
NETWORK = --network
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(NETWORK)

override_dh_clean:
	dh_clean build-stamp install-stamp bioperl.conf biodatabases.pod \
	biodesign.pod bioperl.pod bioscripts.pod

override_dh_install:
	dh_install
	# prename is the rename utility written in perl usually available as /usr/bin/rename in Debian.
	prename s/.pl$$// debian/bioperl/usr/bin/*pl
	prename s/.pl.1p$$/.1p/ debian/bioperl/usr/share/man/man1/*1p
	chmod 644 debian/libbio-perl-perl/usr/share/perl5/Bio/DB/HIV/lanl-schema.xml

override_dh_installchangelogs:
	dh_installchangelogs Changes

override_dh_installexamples:
	dh_installexamples examples/*
	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done

## bioperl 1.7.4

=== debian/changelog ===
bioperl (1.7.4-1) unstable; urgency=medium

  * New upstream version
  * Drop broken uversionmangle from watch file
  * debhelper 12
  * Standards-Version: 4.3.0
  * Build-Depends: libyaml-perl, libtest-requiresinternet-perl
  * Drop manual renaming and permission fixes which are not needed
    any more
  * More fixes to Perl path in examples

 -- Andreas Tille <tille@debian.org>  Tue, 05 Feb 2019 22:17:53 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Section: science
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
 # Unnecessary according to lintian, but building with sbuild shows the contrary.
-               libmodule-build-perl (>= 0.420000) | perl (<< 5.19.0)
+               libmodule-build-perl (>= 0.420000)
 Build-Depends-Indep: perl,
                      rename,
                      libio-string-perl,
@@ -21,7 +21,7 @@
                      libarray-compare-perl,
                      libbio-asn1-entrezgene-perl,
                      libbio-samtools-perl,
-                     libcgi-pm-perl | perl (<< 5.19),
+                     libcgi-pm-perl,
                      libclone-perl,
                      libconvert-binary-c-perl,
                      libdbd-sqlite3-perl,
@@ -53,9 +53,11 @@
                      libxml-writer-perl,
                      libxml-libxml-perl,
                      libwww-perl,
+                     libyaml-perl,
+                     libtest-requiresinternet-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
                      libxml-sax-expatxs-perl
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/bioperl
 Vcs-Git: https://salsa.debian.org/med-team/bioperl.git
 Homepage: http://www.bioperl.org/

## bioperl 1.7.7

=== debian/changelog ===
bioperl (1.7.7-2) unstable; urgency=medium

  * Prepared patch to parse current feature table layout
  * d/control: updated standard to 4.5, added R-R-R: no

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Oct 2020 18:49:40 +0100

bioperl (1.7.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 14 Dec 2019 22:48:17 +0100

bioperl (1.7.6-3) unstable; urgency=medium

  * Team upload.
  * Really fix the breaks+replaces for libbio-perl-run-perl (Closes: #921495)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 28 Nov 2019 13:06:59 +0100

bioperl (1.7.6-2) unstable; urgency=medium

  * Team upload.
  * Add breaks: roary <= 3.12.0+dfsg-2

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 27 Nov 2019 11:48:16 +0100

bioperl (1.7.6-1) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests:
      Don't run the `use.t` autopkgtest, there is no longer a Bio::Perl module
      scripts/ → bin/
      No Build.PL anymore, skip it
  * Add missing colon in closes line.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * New upstream release.
  * No longer conflicts with libbio-perl-run-perl (Closes: #921495)
  * Fixed some spelling typos

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 26 Nov 2019 11:22:39 +0100

bioperl (1.7.5-1) unstable; urgency=medium

  * New upstream version
  * Packaged with routine-update script
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Steffen Moeller <moeller@debian.org>  Sat, 27 Jul 2019 17:55:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Section: science
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
 # Unnecessary according to lintian, but building with sbuild shows the contrary.
-               libmodule-build-perl (>= 0.420000)
+               libmodule-build-perl
 Build-Depends-Indep: perl,
                      rename,
                      libio-string-perl,
@@ -21,6 +21,7 @@
                      libarray-compare-perl,
                      libbio-asn1-entrezgene-perl,
                      libbio-samtools-perl,
+                     libclass-unload-perl,
                      libcgi-pm-perl,
                      libclone-perl,
                      libconvert-binary-c-perl,
@@ -33,6 +34,8 @@
                      libhtml-parser-perl,
                      libhtml-tableextract-perl,
                      liblist-moreutils-perl,
+                     libpath-class-perl,
+                     libperlio-eol-perl,
                      libpostscript-perl,
                      libset-scalar-perl,
                      libsoap-lite-perl,
@@ -42,7 +45,9 @@
                      libstorable-perl,
                      libsvg-perl,
                      libsvg-graph-perl,
+                     libtest-memory-cycle-perl,
                      libtest-pod-perl,
+                     libtest-weaken-perl,
                      liburi-perl,
                      libxml-dom-xpath-perl,
                      libxml-parser-perl,
@@ -57,10 +62,11 @@
                      libtest-requiresinternet-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
                      libxml-sax-expatxs-perl
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/bioperl
 Vcs-Git: https://salsa.debian.org/med-team/bioperl.git
 Homepage: http://www.bioperl.org/
+Rules-Requires-Root: no
 
 Package: bioperl
 Architecture: all
@@ -141,6 +147,8 @@
          ${misc:Depends},
          ${perl:Depends}
 # Temporary workaround as bioperl-run has not been split
+Breaks: libbio-perl-run-perl (<< 1.7.3), roary (<<3.13)
+Replaces: libbio-perl-run-perl (<< 1.7.3)
 Recommends: bioperl-run | libbio-perl-run-perl,
 # Recommended in Build.PL
             libace-perl,
@@ -180,8 +188,6 @@
 Suggests: bioperl,
           libxml-sax-expatxs-perl
 # Needed to avoid downloading DTDs.
-Breaks: grinder (<< 0.5.3-3~)
-Replaces: grinder (<< 0.5.3-3~)
 Description: BioPerl core perl modules
  BioPerl is a toolkit of perl modules useful in building bioinformatics
  solutions in Perl. It is built in an object-oriented manner so that many

## bioperl 1.7.8

=== debian/changelog ===
bioperl (1.7.8-2) unstable; urgency=medium

  * Team upload.
  * Fix warnings with Perl 5.42.
    Add two patches from upstream Git, and a new one for precedence issues.
    (Closes: #1113735)
  * Replace override_dh_clean in d/rules with d/clean.
  * debian/rules: remove unneeded override_dh_installchangelogs.
  * debian/watch: use uscan macros.
  * Declare compliance with Debian Policy 4.7.2.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Sep 2025 18:13:25 +0200

bioperl (1.7.8-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.7.8
  * Remove d/p/FTlineParsingHickups.patch: merged upstream
  * Bump debhelper-compat version to 13
  * Declare compliance with policy 4.5.1
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 18:26:03 +0530

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
            Olivier Sallou <osallou@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-perl
-Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 # Unnecessary according to lintian, but building with sbuild shows the contrary.
                libmodule-build-perl
 Build-Depends-Indep: perl,
@@ -62,11 +61,10 @@
                      libtest-requiresinternet-perl,
 # Needed to avoid downloading DTDs during the tests and therefore fail when network is not available:
                      libxml-sax-expatxs-perl
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/bioperl
 Vcs-Git: https://salsa.debian.org/med-team/bioperl.git
 Homepage: http://www.bioperl.org/
-Rules-Requires-Root: no
 
 Package: bioperl
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(DEB_MAINTAINER_MODE))
NETWORK = --network
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(NETWORK)

override_dh_installexamples:
	dh_installexamples examples/*
	for pl in `grep -Rl '#![[:space:]]*/usr/bin/env[[:space:]]\+perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![[:space:]]*/usr/bin/env[[:space:]]\+perl?#!/usr/bin/perl?' $${pl} ; \
	done
	for pl in `grep -Rl '#![[:space:]]*/usr/local/bin/perl' debian/*/usr/*` ; do \
	    sed -i '1s?^#![[:space:]]*/usr/local/bin/[[:space:]]*perl?#!/usr/bin/perl?' $${pl} ; \
	done

=== debian/watch ===
version=4

https://metacpan.org/release/BioPerl   .*/BioPerl-v?@ANY_VERSION@@ARCHIVE_EXT@$

## bioperl ubuntu-12.04

=== perl/App-cpanminus-1.7040/Makefile ===
# This Makefile is for the App::cpanminus extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.0401 (Revision: 70401) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT => q[get, unpack, build and install modules from CPAN]
#     AUTHOR => [q[- Tatsuhiko Miyagawa]]
#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => { ExtUtils::MakeMaker=>q[0] }
#     DISTNAME => q[App-cpanminus]
#     EXE_FILES => [q[bin/cpanm]]
#     LICENSE => q[perl]
#     MIN_PERL_VERSION => q[5.008001]
#     NAME => q[App::cpanminus]
#     PREREQ_PM => { Test::More=>q[0] }
#     TEST_REQUIRES => { Test::More=>q[0] }
#     VERSION => q[1.7040]
#     test => { TESTS=>q[t/*.t] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc
LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector
LDFLAGS =  -fstack-protector -L/usr/local/lib
LIBC = libc-2.15.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 3.2.0-113-virtual
RANLIB = :
SITELIBEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
SITEARCHEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
SO = so
VENDORARCHEXP = 
VENDORLIBEXP = 


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = App::cpanminus
NAME_SYM = App_cpanminus
VERSION = 1.7040
VERSION_MACRO = VERSION
VERSION_SYM = 1_7040
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 1.7040
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /opt/chipster/tools/bioperl/perl/5.22.1
SITEPREFIX = /opt/chipster/tools/bioperl/perl/5.22.1
VENDORPREFIX = 
INSTALLPRIVLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = 
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = 
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = 
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = 
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = 
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = 
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1
PERL_ARCHLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
PERL_ARCHLIBDEP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/CORE
PERL_INCDEP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/CORE
PERL = "/mnt/tools/bioperl/perl/5.22.1/bin/perl"
FULLPERL = "/mnt/tools/bioperl/perl/5.22.1/bin/perl"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.0401
MM_REVISION = 70401

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = App/cpanminus
BASEEXT = cpanminus
PARENT_NAME = App
DLBASE = $(BASEEXT)
VERSION_FROM = 
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = 

# Handy lists of source code files:
XS_FILES = 
C_FILES  = 
O_FILES  = 
H_FILES  = 
MAN1PODS = bin/cpanm
MAN3PODS = lib/App/cpanminus.pm \
	lib/App/cpanminus/fatscript.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)/App
INST_ARCHLIBDIR  = $(INST_ARCHLIB)/App

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = 
INST_DYNAMIC     = 
INST_BOOT        = 

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = lib/App/cpanminus.pm \
	lib/App/cpanminus/fatscript.pm

PM_TO_BLIB = lib/App/cpanminus.pm \
	blib/lib/App/cpanminus.pm \
	lib/App/cpanminus/fatscript.pm \
	blib/lib/App/cpanminus/fatscript.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 7.0401
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --
CP_NONEMPTY = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'cp_nonempty' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip --best
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = tardist
DISTNAME = App-cpanminus
DISTVNAME = App-cpanminus-1.7040


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:
all :: pure_all manifypods
	$(NOECHO) $(NOOP)


pure_all :: config pm_to_blib subdirs linkext
	$(NOECHO) $(NOOP)

subdirs :: $(MYEXTLIB)
	$(NOECHO) $(NOOP)

config :: $(FIRST_MAKEFILE) blibdirs
	$(NOECHO) $(NOOP)

help :
	perldoc ExtUtils::MakeMaker


# --- MakeMaker blibdirs section:
blibdirs : $(INST_LIBDIR)$(DFSEP).exists $(INST_ARCHLIB)$(DFSEP).exists $(INST_AUTODIR)$(DFSEP).exists $(INST_ARCHAUTODIR)$(DFSEP).exists $(INST_BIN)$(DFSEP).exists $(INST_SCRIPT)$(DFSEP).exists $(INST_MAN1DIR)$(DFSEP).exists $(INST_MAN3DIR)$(DFSEP).exists
	$(NOECHO) $(NOOP)

# Backwards compat with 6.18 through 6.25
blibdirs.ts : blibdirs
	$(NOECHO) $(NOOP)

$(INST_LIBDIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_LIBDIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_LIBDIR)
	$(NOECHO) $(TOUCH) $(INST_LIBDIR)$(DFSEP).exists

$(INST_ARCHLIB)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHLIB)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHLIB)
	$(NOECHO) $(TOUCH) $(INST_ARCHLIB)$(DFSEP).exists

$(INST_AUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_AUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_AUTODIR)
	$(NOECHO) $(TOUCH) $(INST_AUTODIR)$(DFSEP).exists

$(INST_ARCHAUTODIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_ARCHAUTODIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_ARCHAUTODIR)
	$(NOECHO) $(TOUCH) $(INST_ARCHAUTODIR)$(DFSEP).exists

$(INST_BIN)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_BIN)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_BIN)
	$(NOECHO) $(TOUCH) $(INST_BIN)$(DFSEP).exists

$(INST_SCRIPT)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_SCRIPT)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_SCRIPT)
	$(NOECHO) $(TOUCH) $(INST_SCRIPT)$(DFSEP).exists

$(INST_MAN1DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN1DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN1DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN1DIR)$(DFSEP).exists

$(INST_MAN3DIR)$(DFSEP).exists :: Makefile.PL
	$(NOECHO) $(MKPATH) $(INST_MAN3DIR)
	$(NOECHO) $(CHMOD) $(PERM_DIR) $(INST_MAN3DIR)
	$(NOECHO) $(TOUCH) $(INST_MAN3DIR)$(DFSEP).exists



# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	$(NOECHO) $(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic section:

dynamic :: $(FIRST_MAKEFILE) $(BOOTSTRAP) $(INST_DYNAMIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
static :: $(FIRST_MAKEFILE) $(INST_STATIC)
	$(NOECHO) $(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:

=== perl/DB_File-1.838/Makefile ===
# This Makefile is for the DB_File extension to perl.
#
# It was generated automatically by MakeMaker version
# 7.0401 (Revision: 70401) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: ()
#

#   MakeMaker Parameters:

#     ABSTRACT_FROM => q[DB_File.pm]
#     AUTHOR => [q[Paul Marquess <pmqs@cpan.org>]]
#     BUILD_REQUIRES => {  }
#     CONFIGURE_REQUIRES => {  }
#     DEFINE => q[-D_NOT_CORE  -DmDB_Prefix_t=size_t -DmDB_Hash_t=u_int32_t  ]
#     INC => q[-I/opt/chipster/tools/bioperl/berkeleydb/include]
#     INSTALLDIRS => q[site]
#     LIBS => [q[-L/opt/chipster/tools/bioperl/berkeleydb/lib -ldb]]
#     LICENSE => q[perl]
#     NAME => q[DB_File]
#     OBJECT => q[version$(OBJ_EXT) DB_File$(OBJ_EXT)]
#     PREREQ_PM => {  }
#     TEST_REQUIRES => {  }
#     VERSION_FROM => q[DB_File.pm]
#     XSPROTOARG => q[-noprototypes]
#     XS_VERSION => q[1.838]
#     clean => { FILES=>q[constants.h constants.xs DB_File.pm.bak t/db-btree.t.bak t/db-hash.t.bak t/db-recno.t.bak t/pod.t.bak] }
#     depend => { Makefile=>q[config.in], version$(OBJ_EXT)=>q[version.c] }
#     dist => { COMPRESS=>q[gzip], DIST_DEFAULT=>q[MyDoubleCheck tardist], SUFFIX=>q[gz] }
#     macro => { my_files=>q[DB_File.pm t/db-btree.t t/db-hash.t t/db-recno.t t/pod.t] }

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/Config.pm).
# They may have been overridden via Makefile.PL or on the command line.
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -Wl,-E
DLEXT = so
DLSRC = dl_dlopen.xs
EXE_EXT = 
FULL_AR = /usr/bin/ar
LD = cc
LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector
LDFLAGS =  -fstack-protector -L/usr/local/lib
LIBC = libc-2.15.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 3.2.0-113-virtual
RANLIB = :
SITELIBEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
SITEARCHEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
SO = so
VENDORARCHEXP = 
VENDORLIBEXP = 


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
DIRFILESEP = /
DFSEP = $(DIRFILESEP)
NAME = DB_File
NAME_SYM = DB_File
VERSION = 1.838
VERSION_MACRO = VERSION
VERSION_SYM = 1_838
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION = 1.838
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INST_MAN1DIR = blib/man1
INST_MAN3DIR = blib/man3
MAN1EXT = 1
MAN3EXT = 3
INSTALLDIRS = site
DESTDIR = 
PREFIX = $(SITEPREFIX)
PERLPREFIX = /opt/chipster/tools/bioperl/perl/5.22.1
SITEPREFIX = /opt/chipster/tools/bioperl/perl/5.22.1
VENDORPREFIX = 
INSTALLPRIVLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1
DESTINSTALLPRIVLIB = $(DESTDIR)$(INSTALLPRIVLIB)
INSTALLSITELIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
DESTINSTALLSITELIB = $(DESTDIR)$(INSTALLSITELIB)
INSTALLVENDORLIB = 
DESTINSTALLVENDORLIB = $(DESTDIR)$(INSTALLVENDORLIB)
INSTALLARCHLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
DESTINSTALLARCHLIB = $(DESTDIR)$(INSTALLARCHLIB)
INSTALLSITEARCH = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
DESTINSTALLSITEARCH = $(DESTDIR)$(INSTALLSITEARCH)
INSTALLVENDORARCH = 
DESTINSTALLVENDORARCH = $(DESTDIR)$(INSTALLVENDORARCH)
INSTALLBIN = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLBIN = $(DESTDIR)$(INSTALLBIN)
INSTALLSITEBIN = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSITEBIN = $(DESTDIR)$(INSTALLSITEBIN)
INSTALLVENDORBIN = 
DESTINSTALLVENDORBIN = $(DESTDIR)$(INSTALLVENDORBIN)
INSTALLSCRIPT = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSCRIPT = $(DESTDIR)$(INSTALLSCRIPT)
INSTALLSITESCRIPT = /opt/chipster/tools/bioperl/perl/5.22.1/bin
DESTINSTALLSITESCRIPT = $(DESTDIR)$(INSTALLSITESCRIPT)
INSTALLVENDORSCRIPT = 
DESTINSTALLVENDORSCRIPT = $(DESTDIR)$(INSTALLVENDORSCRIPT)
INSTALLMAN1DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man1
DESTINSTALLMAN1DIR = $(DESTDIR)$(INSTALLMAN1DIR)
INSTALLSITEMAN1DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man1
DESTINSTALLSITEMAN1DIR = $(DESTDIR)$(INSTALLSITEMAN1DIR)
INSTALLVENDORMAN1DIR = 
DESTINSTALLVENDORMAN1DIR = $(DESTDIR)$(INSTALLVENDORMAN1DIR)
INSTALLMAN3DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man3
DESTINSTALLMAN3DIR = $(DESTDIR)$(INSTALLMAN3DIR)
INSTALLSITEMAN3DIR = /opt/chipster/tools/bioperl/perl/5.22.1/man/man3
DESTINSTALLSITEMAN3DIR = $(DESTDIR)$(INSTALLSITEMAN3DIR)
INSTALLVENDORMAN3DIR = 
DESTINSTALLVENDORMAN3DIR = $(DESTDIR)$(INSTALLVENDORMAN3DIR)
PERL_LIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1
PERL_ARCHLIB = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
PERL_ARCHLIBDEP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKEFILE_OLD = Makefile.old
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/CORE
PERL_INCDEP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/x86_64-linux/CORE
PERL = "/mnt/tools/bioperl/perl/5.22.1/bin/perl"
FULLPERL = "/mnt/tools/bioperl/perl/5.22.1/bin/perl"
ABSPERL = $(PERL)
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
ABSPERLRUN = $(ABSPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
PERL_CORE = 0
PERM_DIR = 755
PERM_RW = 644
PERM_RWX = 755

MAKEMAKER   = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils/MakeMaker.pm
MM_VERSION  = 7.0401
MM_REVISION = 70401

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
MAKE = make
FULLEXT = DB_File
BASEEXT = DB_File
PARENT_NAME = 
DLBASE = $(BASEEXT)
VERSION_FROM = DB_File.pm
INC = -I/opt/chipster/tools/bioperl/berkeleydb/include
DEFINE = -D_NOT_CORE  -DmDB_Prefix_t=size_t -DmDB_Hash_t=u_int32_t  
OBJECT = version$(OBJ_EXT) DB_File$(OBJ_EXT)
LDFROM = $(OBJECT)
LINKTYPE = dynamic
BOOTDEP = DB_File_BS

# Handy lists of source code files:
XS_FILES = DB_File.xs \
	fallback.xs
C_FILES  = DB_File.c \
	fallback.c \
	version.c
O_FILES  = DB_File.o \
	fallback.o \
	version.o
H_FILES  = fallback.h \
	ppport.h
MAN1PODS = 
MAN3PODS = DB_File.pm

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIBDEP)$(DFSEP)Config.pm $(PERL_INCDEP)$(DFSEP)config.h

# Where to build things
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC      = $(INST_ARCHAUTODIR)/$(BASEEXT)$(LIB_EXT)
INST_DYNAMIC     = $(INST_ARCHAUTODIR)/$(DLBASE).$(DLEXT)
INST_BOOT        = $(INST_ARCHAUTODIR)/$(BASEEXT).bs

# Extra linker info
EXPORT_LIST        = 
PERL_ARCHIVE       = 
PERL_ARCHIVEDEP    = 
PERL_ARCHIVE_AFTER = 


TO_INST_PM = DB_File.pm

PM_TO_BLIB = DB_File.pm \
	$(INST_LIB)/DB_File.pm


# --- MakeMaker platform_constants section:
MM_Unix_VERSION = 7.0401
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(ABSPERLRUN)  -e 'use AutoSplit;  autosplit($$$$ARGV[0], $$$$ARGV[1], 0, 1, 1)' --



# --- MakeMaker tool_xsubpp section:

XSUBPPDIR = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils
XSUBPP = "$(XSUBPPDIR)$(DFSEP)xsubpp"
XSUBPPRUN = $(PERLRUN) $(XSUBPP)
XSPROTOARG = -noprototypes
XSUBPPDEPS = /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils/typemap typemap /opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils$(DFSEP)xsubpp
XSUBPPARGS = -typemap "/opt/chipster/tools/bioperl/perl/5.22.1/lib/5.22.1/ExtUtils/typemap" -typemap "typemap"
XSUBPP_EXTRA_ARGS =


# --- MakeMaker tools_other section:
SHELL = /bin/sh
CHMOD = chmod
CP = cp
MV = mv
NOOP = $(TRUE)
NOECHO = @
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1
MKPATH = $(ABSPERLRUN) -MExtUtils::Command -e 'mkpath' --
EQUALIZE_TIMESTAMP = $(ABSPERLRUN) -MExtUtils::Command -e 'eqtime' --
FALSE = false
TRUE = true
ECHO = echo
ECHO_N = echo -n
UNINST = 0
VERBINST = 0
MOD_INSTALL = $(ABSPERLRUN) -MExtUtils::Install -e 'install([ from_to => {@ARGV}, verbose => '\''$(VERBINST)'\'', uninstall_shadows => '\''$(UNINST)'\'', dir_mode => '\''$(PERM_DIR)'\'' ]);' --
DOC_INSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'perllocal_install' --
UNINSTALL = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'uninstall' --
WARN_IF_OLD_PACKLIST = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'warn_if_old_packlist' --
MACROSTART = 
MACROEND = 
USEMAKEFILE = -f
FIXIN = $(ABSPERLRUN) -MExtUtils::MY -e 'MY->fixin(shift)' --
CP_NONEMPTY = $(ABSPERLRUN) -MExtUtils::Command::MM -e 'cp_nonempty' --


# --- MakeMaker makemakerdflt section:
makemakerdflt : all
	$(NOECHO) $(NOOP)


# --- MakeMaker dist section:
TAR = tar
TARFLAGS = cvf
ZIP = zip
ZIPFLAGS = -r
COMPRESS = gzip
SUFFIX = .gz
SHAR = shar
PREOP = $(NOECHO) $(NOOP)
POSTOP = $(NOECHO) $(NOOP)
TO_UNIX = $(NOECHO) $(NOOP)
CI = ci -u
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q
DIST_CP = best
DIST_DEFAULT = MyDoubleCheck tardist
DISTNAME = DB_File
DISTVNAME = DB_File-1.838


# --- MakeMaker macro section:
my_files = DB_File.pm t/db-btree.t t/db-hash.t t/db-recno.t t/pod.t


# --- MakeMaker depend section:
Makefile : config.in
version$(OBJ_EXT) : version.c


# --- MakeMaker cflags section:

CCFLAGS = -fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTIMIZE = -O2
PERLTYPE = 
MPOLLUTE = 


# --- MakeMaker const_loadlibs section:

# DB_File might depend on some other libraries:
# See ExtUtils::Liblist for details
#
EXTRALIBS = -L/opt/chipster/tools/bioperl/berkeleydb/lib -ldb
LDLOADLIBS = -L/opt/chipster/tools/bioperl/berkeleydb/lib -ldb
BSLOADLIBS = 
LD_RUN_PATH = /opt/chipster/tools/bioperl/berkeleydb/lib


# --- MakeMaker const_cccmd section:
CCCMD = $(CC) -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION)

# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PREFIX="$(PREFIX)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker special_targets section:
.SUFFIXES : .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

.PHONY: all config static dynamic test linkext manifest blibdirs clean realclean disttest distdir



# --- MakeMaker c_o section:

.c.i:
	cc  -E -c $(PASTHRU_INC) $(INC) \
	$(CCFLAGS) $(OPTIMIZE) \
	$(PERLTYPE) $(MPOLLUTE) $(DEFINE_VERSION) \
	$(XS_DEFINE_VERSION) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c > $*.i

.c.s:
	$(CCCMD) -S $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.c$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.c

.cpp$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cpp

.cxx$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cxx

.cc$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.cc

.C$(OBJ_EXT):
	$(CCCMD) $(CCCDLFLAGS) "-I$(PERL_INC)" $(PASTHRU_DEFINE) $(DEFINE) $*.C


# --- MakeMaker xs_c section:

.xs.c:

## bioperl ubuntu-16.04

=== perl/App-cpanminus-1.7040/Makefile ===
--- 
+++ 
@@ -41,13 +41,13 @@
 EXE_EXT = 
 FULL_AR = /usr/bin/ar
 LD = cc
-LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector
-LDFLAGS =  -fstack-protector -L/usr/local/lib
-LIBC = libc-2.15.so
+LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector-strong
+LDFLAGS =  -fstack-protector-strong -L/usr/local/lib
+LIBC = libc-2.23.so
 LIB_EXT = .a
 OBJ_EXT = .o
 OSNAME = linux
-OSVERS = 3.2.0-113-virtual
+OSVERS = 4.4.0-45-generic
 RANLIB = :
 SITELIBEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
 SITEARCHEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux

=== perl/DB_File-1.838/Makefile ===
--- 
+++ 
@@ -48,13 +48,13 @@
 EXE_EXT = 
 FULL_AR = /usr/bin/ar
 LD = cc
-LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector
-LDFLAGS =  -fstack-protector -L/usr/local/lib
-LIBC = libc-2.15.so
+LDDLFLAGS = -shared -O2 -L/usr/local/lib -fstack-protector-strong
+LDFLAGS =  -fstack-protector-strong -L/usr/local/lib
+LIBC = libc-2.23.so
 LIB_EXT = .a
 OBJ_EXT = .o
 OSNAME = linux
-OSVERS = 3.2.0-113-virtual
+OSVERS = 4.4.0-45-generic
 RANLIB = :
 SITELIBEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1
 SITEARCHEXP = /opt/chipster/tools/bioperl/perl/5.22.1/lib/site_perl/5.22.1/x86_64-linux
@@ -295,13 +295,13 @@
 
 
 # --- MakeMaker depend section:
+version$(OBJ_EXT) : version.c
 Makefile : config.in
-version$(OBJ_EXT) : version.c
 
 
 # --- MakeMaker cflags section:
 
-CCFLAGS = -fwrapv -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
+CCFLAGS = -fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
 OPTIMIZE = -O2
 PERLTYPE = 
 MPOLLUTE =
